import { SessionService } from '../services/session/session.service';
import { AuthService } from '../services/auth/auth.service';
import { FormBuilder, FormGroup } from '@angular/forms';
import { AlertMessage } from '../interfaces/alert-message.interface';
export declare class BaseLoginFormComponent {
    protected auth: AuthService;
    protected session: SessionService;
    protected formBuilder: FormBuilder;
    form: FormGroup;
    alert: AlertMessage;
    constructor(auth: AuthService, session: SessionService, formBuilder: FormBuilder);
    /**
     * Sign the User in with email and password
     */
    login(): void;
    /**
     * Logs the User in with Facebook
     */
    facebookLogin(): void;
    protected callbackLogged(): void;
    protected showLoadingSpinner(): void;
    protected hideLoadingSpinner(): void;
}
